Package org.eclipse.rdf4j.repository.filters

## Class AccurateRepositoryBloomFilter

- java.lang.Object
- - org.eclipse.rdf4j.repository.filters.AccurateRepositoryBloomFilter

- All Implemented Interfaces:
    `RepositoryBloomFilter`

      public class AccurateRepositoryBloomFilter
      extends Object
      implements RepositoryBloomFilter

  A bloom filter that is exact (no false positives) at the cost of always having to query the repository.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AccurateRepositoryBloomFilter` | `INCLUDE_INFERRED_INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccurateRepositoryBloomFilter​(boolean includeInferred)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `mayHaveStatement​(RepositoryConnection conn, Resource subj, IRI pred, Value obj, Resource... contexts)` | Returns true if the repository may have such a statement or false if it definitely does not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INCLUDE_INFERRED_INSTANCE

          public static final AccurateRepositoryBloomFilter INCLUDE_INFERRED_INSTANCE

  - ### Constructor Detail

    - #### AccurateRepositoryBloomFilter

          public AccurateRepositoryBloomFilter​(boolean includeInferred)

  - ### Method Detail

    - #### mayHaveStatement

          public boolean mayHaveStatement​(RepositoryConnection conn,
                                          Resource subj,
                                          IRI pred,
                                          Value obj,
                                          Resource... contexts)

      Description copied from interface: `RepositoryBloomFilter`
      Returns true if the repository may have such a statement or false if it definitely does not.
      Specified by:
        `mayHaveStatement` in interface `RepositoryBloomFilter`
      Parameters:
        `conn` - connection to the repository to check.
        `subj` - subject of the statement to check for (can be null).
        `pred` - predicate of the statement to check for (can be null).
        `obj` - object of the statement to check for (can be null).
        `contexts` - contexts of the statement to check for.